#!/usr/bin/env ruby
#
#############################################################
#
# author:  mathias gumz
# date  :  Die 08 Jul 2003 14:59:37 CEST
# file  :  install
# about :
#
#############################################################
#
#
#

require 'getoptlong'


$files = [ "CHANGELOG", "COPYING", "README", "TODO", "install.rb", "queries.txt", "rbwq", "rbwqrc.example" ]

HELP =<<EOF

 --help     -h    display help
 --install  -i    copy rbwq to ~/bin or given directory
 --package  -p    build the distribution with given name

EOF

begin

  cmd = GetoptLong.new
  cmd.set_options(

    [ "--help",    "-h", GetoptLong::NO_ARGUMENT ],
    [ "--install", "-i", GetoptLong::OPTIONAL_ARGUMENT ],
    [ "--package", "-p", GetoptLong::REQUIRED_ARGUMENT ]
  )

  cmd.each { |arg, opt|

    case arg
    when "--install"
      if arg 
        `cp rbwq #{opt}`
      else
        `cp rbwq ~/bin`
      end
      puts "done."
    when "--package"
      puts "building package:"

      puts $files.join(" ")

      `mkdir #{opt}`
      `cp #{$files.join(" ")} #{opt}` 
      `tar cvfz #{opt}.tar.gz #{opt}`
      `rm -fr #{opt}`
      puts "done."
    end
    
  }

end













#
#
#
#############################################################
#
#
#############################################################

